%define		major		1.0
%define		libname		%mklibname OpenImageIO %{major}
%define		develname	%mklibname OpenImageIO -d

Name:		openimageio
Version:	1.0.4
Release:	%mkrel 1
Summary:	Library for reading and writing images
Group:		System/Libraries
License:	BSD
URL:		https://sites.google.com/site/openimageio/home
Source0:	https://download.github.com/OpenImageIO-%version.tar.gz
Patch1:		OpenImageIO-1.0.2-dl.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	glew-devel
BuildRequires:	qt4-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires:	python-devel
BuildRequires:	txt2man
BuildRequires:	png-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
BuildRequires:	jasper-devel
BuildRequires:	openjpeg-devel
BuildRequires:	libjpeg-devel
BuildRequires:	pugixml-devel
Obsoletes:	OpenImageIO < %{version}

%description
OpenImageIO is a library for reading and writing images, and a bunch of related
classes, utilities, and applications. Main features include:
- Extremely simple but powerful ImageInput and ImageOutput APIs for reading and
  writing 2D images that is format agnostic.
- Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa, JPEG-2000,
  DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS, SGI,
  PNM/PPM/PGM/PBM, Field3d.
- An ImageCache class that transparently manages a cache so that it can access
  truly vast amounts of image data.
- A really nice image viewer, iv, also based on OpenImageIO classes (and so
  will work with any formats for which plugins are available).

%package -n %{libname}
Summary:	A library for reading and writing images
Group:		System/Libraries

%description -n %{libname}
OpenImageIO is a library for reading and writing images.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%prep
%setup -qn OpenImageIO-oiio-d94a4e4

%patch1 -p1 -b .dl~

# Remove bundled pugixml
rm -f src/include/pugixml.hpp \
      src/include/pugiconfig.hpp \
      src/libutil/pugixml.cpp

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=TRUE \
       -DPYLIB_INSTALL_DIR:PATH=%{python_sitearch} \
       -DINCLUDE_INSTALL_DIR:PATH=/usr/include/OpenImageIO \
       -DINSTALL_DOCS:BOOL=OFF \
       -DUSE_EXTERNAL_PUGIXML:BOOL=ON \
       ../src

%make

%install
%makeinstall_std -C build

# Move man pages to the right directory
%__mkdir_p %{buildroot}%{_mandir}/man1
%__cp -a build/doc/*.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%{_bindir}/*
%{python_sitearch}/OpenImageIO.so
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libOpenImageIO.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc src/doc/*.pdf
%{_libdir}/libOpenImageIO.so
%{_includedir}/*


%changelog

* Sat Jun 09 2012 fwang <fwang> 1.0.4-1.mga2
+ Revision: 258735
- cp openimageio to 2, for upcoming blender updates
- fix upgrade from previous name
- br jpeg
- imported package openimageio

